/**
* Theme Name: BookChoix Child
* Description: This is a child theme of BookChoix.
* Author: AcmeeDesign Softwares and Solutions
* Template: bookchoix
* Version: 1.0.0
*/

/**
* You can add your custom styles here
*/
.products .outofstock:before, .acm-carousel .outofstock:before {
    content: "";
    display: none;
    position: absolute;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.7);
    z-index: 50;
  }
  
  .products .outofstock .outofstock-wrap,
  .bks-carousel .outofstock .outofstock-wrap {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 70px;
    height: 70px;
    display: table;
    background: #1d2530;
    color: #fff;
    text-transform: uppercase;
    font-weight: 300;
    font-size: 12px;
    letter-spacing: 0.1em;
    text-align: center;
    line-height: 14px;
    margin-top: -75px;
    margin-left: -35px;
    z-index: 51;
    -webkit-border-radius: 100%;
    -moz-border-radius: 100%;
    -ms-border-radius: 100%;
    border-radius: 100%;
  }
  
  .outofstock .outofstock-wrap .out-of-stock-label {
    display: table-cell;
    vertical-align: top;
  }
  
  .single div.outofstock p.out-of-stock {
    border: 1px solid #f11111;
    font-size: 1.3em;
    text-transform: capitalize;
    padding: 10px 20px;
    width: auto;
    display: inline-block;
  }



  .product-wrap .product-image .catalog-image .outofstock-badge {
    display: none;
    position: absolute;
    z-index: 10;
    width: 100%;
    height: 40px;
    left: 0;
    padding: 0;
    margin-top: 30px;
    margin-left: 0;
    background: rgba(200, 20, 20, .8);
    font-weight: bold;
    color: rgb(255 255 255);
    border: 0px solid #f93c3c;
    text-transform: uppercase;
    font-size: .9em;
    text-align: center;
    align-content: center;
}


.products .product-wrap .product-content .product-desc {
  display: block;
}

.product-wrap .product-image .catalog-image .outofstock-layer {
  display: none;
  position: absolute;
  z-index: 5;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  margin-top: 0;
  margin-left: 0;
  background: rgba(255, 255, 255, 0.4);
 
}

.outofstock .product-wrap .product-image .catalog-image .outofstock-layer {
  display: block;
}


/*.woo-quickview-btn{
    z-index: 12;
}*/

.woocommerce-checkout input[type="text"] {
    background-color: #222;
}

.elementor-widget-container img{
  max-width: 300px!important;
  width: 100%
}

.single-product div.product form.cart .variations{
  table-layout:inherit;
}

.single-product .variations .label {
  padding-top: 5px;
  vertical-align: top!important;
}

table td, table th{
  vertical-align: middle!important;
}


.product-subtitle{
    margin-top: 5px;
    margin-bottom: 10px;
    font-family: Manrope, 'Courier New', Courier, monospace;
    font-size: 14px;
}

#authors-grid, #publishers-grid {
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  justify-content: space-around;
}

#authors-grid .author-col, #publishers-grid .author-col {
  flex: none;
  margin: 15px;
  width: 21%;
}

ul.authors-description-list li{
  line-height: 1.4em !important;
}

#authors-grid .author-avatar img, .authors-list .author-avatar img{
  max-width: 100px !important;
}

.woocommerce .acmthemes-toolbar .acmthemes-off-canvas-filter{
  display: none;
}

.acm_testimonial_one .owl-item img {
  /*width: 80px !important;
  height: 120px !important;*/
  border-radius: 5px !important;
  object-fit: fill;
}

.owl-carousel, .owl-carousel .owl-item {
  -webkit-tap-highlight-color: transparent;
  position: relative;
  text-align: -webkit-center;
}

/*
*Change background color of dropdown menu
/* 
/* 
.menu-item-object-product_cat:hover, .menu-item-object-page:hover{
  background-color: #1e73be;
}*/


  div .product-inner-wrap .product-image{
    text-align: -webkit-center !important;
    width: 100% !important;
  }


  .product-short_description{
    color: #555;
  }



@media screen and (max-width: 840px) {

  #authors-grid .author-info h3 a {
      font-size: 13px !important;
  }

  .authors-grid .author-wrap, .authors-list .author-wrap{
    width: 150px;
  }

}

/* @media screen and (max-width: 767px) {
  .elementor-widget-container img{
    max-width: 80px!important;
  }

} */

@media screen and (max-width: 600px) {
  .elementor-widget-container img {
    max-width: 180px!important;
  }

}